win7系统下运行python出现了r6034问题

weixin_50268174 麦吉尔大学 2020-11-03 04:16:05
在pycharm中导入了一个包,导入结束后就产生了r6034的问题,在网上找的各种解决方法都需要安装express explorer这个软件,但是我电脑是win7系统,版本过低,无法安装。暂时也没找到低版本的express explorer,网上提供的解决方案在第一步安装这个软件就被困住了,目前重装系统或者重装python环境都很麻烦,所以想问问各位大神有没有绕过安装express explorer来解决r6034的办法。

这个是我目前碰到的问题的界面,总是在我打开pycharm的时候出现,目前程序也没法运行。

https://blog.csdn.net/polyhedronx/article/details/98181692
上面的链接是我找到的解决方案,方案里面查看正在运行的程序的ddl需要用到express explorer这个软件,但是这个软件我win7的系统无法安装。
...全文
498 点赞 收藏 6
写回复
6 条回复
切换为时间正序
请发表友善的回复…
发表回复
weixin_50268174 2020-11-06
感谢大佬!感恩!
回复
赵4老师 2020-11-04
回复
赵4老师 2020-11-04
找到这行msvcrt.dll对应的磁盘和文件夹位置比如 C:\Windows\SysWOW64\msvcrt.dll 或 C:\Windows\System32\msvcrt.dll 先保存一份原来msvcrt.dll的作为备份 然后在 http://www.dllzj.com/ 搜索下载不同版本的32位 msvcrt.dll,覆盖之前的msvcrt.dll 逐一测试。
回复
weixin_50268174 2020-11-04
图片中的这个是我目前找到的您说的这个文件,但是我只找到一个是以msvcrt开头的
回复
weixin_50268174 2020-11-04
可以私信和您沟通吗?我可能是下载的这个程序的问题,您说的那个ddl的文件我找到了,但是只有一个文件。
回复
赵4老师 2020-11-04
只看MSVC开头的dll
回复
weixin_50268174 2020-11-04
大佬,我还想问一下,我安装了您说的这个软件,找到了我运行的软件的情况,您说的把他们放在一个版本下,这个意思是后面这个红色的x86放在x64下面吗?我有点不是很清楚这个软件的用法。x
回复
赵4老师 2020-11-04
depends.exe是VC6自带的……\COMMON\TOOLS\DEPENDS.EXE 或者 可以用dumpbin.exe /dependents xxx.exe代替。dumpbin.exe VS20XX中自带
回复
weixin_50268174 2020-11-04
感谢大佬指点!另外,我想问一下dependes是windows系统自己就有的程序还是需要额外安装的?
回复
赵4老师 2020-11-03
使用depends.exe C:\Users\qyin\yin\python.exe查看C:\Users\qyin\yin\python.exe依赖的所有dll 将其中的msvcr*.dll统一到一个版本下
回复
发帖
其它技术问题
创建于2007-09-28

3842

社区成员

C/C++ 其它技术问题
申请成为版主
帖子事件
创建了帖子
2020-11-03 04:16
社区公告
暂无公告